(function () {

	var app = angular.module('eventosContactApp');

	app.config(function ($translateProvider) {

		$translateProvider.translations('en', {
			APP_NAME: 'Eventos Contact',
			YES: 'Yes',
			NO: 'No',
			USERNAME: 'Username',
			PASSWORD: 'Password',
			LOGIN: 'Login',
			LOGIN_INCORRECT: 'Error! Wrong username or password.',
			LOGIN_ERROR: 'Error trying to login!',
			PLACE_QR_CODE: 'Place a QR code inside the scan area.',
			NO_SCANS_FOUND: 'No successful scans yet.',
			OFFLINE_MESSAGE: 'Offline - no network connection available',
			NO_SCAN_POINTS: 'No scan points to display in the selected event.',
			NO_EVENTS: 'No events to display.',
			NO_ACTIVITY_YET: 'No activity yet.',
			SEARCH: 'Search',
			NO_PARTICIPANTS: 'Event has no participants.',
			ORGANIZATIONS: 'Organizations',
			LOGIN_AS: 'Login as',
			SELECT_ORGANIZATION_PARTNER_INFO: 'Select organization or partner you want to login to.',
			PARTNERS: 'Partners',
		});

		$translateProvider.translations('fi', {
			APP_NAME: 'Eventos Contact',
			YES: 'Kyllä',
			NO: 'Ei',
			USERNAME: 'Käyttäjätunnus',
			PASSWORD: 'Salasana',
			LOGIN: 'Kirjaudu',
			LOGIN_INCORRECT: 'Virhe! Käyttäjätunnus tai salasana on väärä.',
			LOGIN_ERROR: 'Virhe kirjaumisessa!',
			PLACE_QR_CODE: 'Aseta QR-koodi skannaus alueen sisälle.',
			NO_SCANS_FOUND: 'Ei näytettäviä skannauksia. Yhtään skannausta ei ole vielä tehty.',
			OFFLINE_MESSAGE: 'Offline-tila - ei verkkoyhteyttä',
			NO_SCAN_POINTS: 'Ei näytettäviä skannauspisteitä valitussa tapahtumassa.',
			NO_EVENTS: 'Ei näytettäviä tapahtumia.',
			NO_ACTIVITY_YET: 'Ei näytettäviä toimintoja.',
			SEARCH: 'Hae',
			NO_PARTICIPANTS: 'Tapahtumassa ei ole vielä osallistujia.',
			ORGANIZATIONS: 'Organisaatiot',
			LOGIN_AS: 'Kirjaudu',
			SELECT_ORGANIZATION_PARTNER_INFO: 'Valitse organisaatio tai partneri, jolle haluat kirjautua.',
			PARTNERS: 'Partnerit',
		});

		$translateProvider.preferredLanguage('en');
	});
})();